<!DOCTYPE html>
<html lang="fa">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RapidCode.IR - اسکریپت آمار بازدید در PHP</title>
    <style>
    body {
        text-align: center;
        overflow-x: hidden;
    }

    #introduce {
        color: white;
        text-decoration: none;
        font-weight: bold;
        display: block;
        width: 100%;
        padding: 5px 10px;
        background-color: #4CAF50;
        text-align: center;
        font-size: 25px;
        margin-bottom: 45px;
    }

    .container{
        width: 70%;
        margin: 15px auto;
    }

    table td{
        font-size: large;
    }


    </style>
</head>

<body dir="rtl">
    <a id="introduce" target="_blank" href="https://rapidcode.ir">رپید کد - کتابخانه مجازی برنامه نویسان</a>

    <div class="container">
    
    <?php 

    require_once "inc/db.php";

    if(empty($_COOKIE['user_hint_view'])){
        setcookie("user_hint_view" ,"check", time() + 86400);
        row_insert();
    }
 
    date_default_timezone_set("Asia/Tehran");
    $view_statistics_online = row_select("online"); // افراد آنلاین ( از زمان حال تا 3 دقیقه پیش را شامل می شود (
    $view_statistics_today = row_select(date("Y-m-d")); // بازدید امروز
    $view_statistics_yesterday = row_select(date("Y-m-d" , time() - 86400)); // بازدید دیروز
    $view_statistics_all = row_select(); // بازدید کل
	
    ?>

    <table>
        <tbody>
            
            <tr>
                <td>افراد آنلاین :</td>
                <td><?php echo $view_statistics_online['views'] ?></td>
            </tr>

            <tr>
                <td>بازدید امروز :</td>
                <td><?php echo $view_statistics_today['views'] ?></td>
            </tr>

            <tr>
                <td>بازدید دیروز :</td>
                <td><?php echo $view_statistics_yesterday['views'] ?></td>
            </tr>

            <tr>
                <td>بازدید کل :</td>
                <td><?php echo $view_statistics_all['views'] ?></td>
            </tr>
        </tbody>
    </table>
    

    </div>
    

</body>
</html>